> ## Documentation Index
> Fetch the complete documentation index at: https://docs.korve.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Create

> Create a portable export. Transfer to customer storage is metered by bytes sent.



## OpenAPI

````yaml /openapi.json post /v1/orgs/{orgId}/projects/{projectId}/databases/{databaseId}/exports
openapi: 3.1.0
info:
  title: Korve API
  version: 0.1.0
  description: >-
    Typed control plane for deploying applications and explicitly provisioning
    their managed infrastructure.
servers:
  - url: https://api.korve.dev
security: []
paths:
  /v1/orgs/{orgId}/projects/{projectId}/databases/{databaseId}/exports:
    post:
      tags:
        - databaseExports
      summary: Create
      description: >-
        Create a portable export. Transfer to customer storage is metered by
        bytes sent.
      operationId: databaseExports.create
      parameters:
        - name: orgId
          in: path
          required: true
          schema:
            type: string
          description: The organization's id (UUID) or slug — either form is accepted.
        - name: projectId
          in: path
          required: true
          schema:
            type: string
          description: The project's id (UUID) or slug — either form is accepted.
        - name: databaseId
          in: path
          required: true
          schema:
            type: string
      requestBody:
        required: true
        x-korve-max-bytes: 1048576
        content:
          application/json:
            schema:
              type: object
              properties:
                format:
                  type: string
                  enum:
                    - logical_sql
                    - logical_archive
                    - physical_archive
                destinationId:
                  type:
                    - string
                    - 'null'
                expiresInHours:
                  type: integer
              required:
                - format
              additionalProperties: false
      responses:
        '202':
          description: Export queued.
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  databaseId:
                    type: string
                  format:
                    type: string
                    enum:
                      - logical_sql
                      - logical_archive
                      - physical_archive
                  status:
                    type: string
                    enum:
                      - queued
                      - running
                      - ready
                      - failed
                      - expired
                  destinationId:
                    type:
                      - string
                      - 'null'
                  destinationVersion:
                    type:
                      - integer
                      - 'null'
                    description: >-
                      Exact immutable destination configuration used by this
                      export.
                  sizeBytes:
                    type:
                      - integer
                      - 'null'
                  transferBytes:
                    type:
                      - integer
                      - 'null'
                    description: >-
                      Bytes transferred to a customer destination and billed as
                      metered egress.
                  expiresAt:
                    type:
                      - string
                      - 'null'
                    format: date-time
                  error:
                    type:
                      - string
                      - 'null'
                  createdAt:
                    type: string
                    format: date-time
                required:
                  - id
                  - databaseId
                  - format
                  - status
                  - destinationId
                  - destinationVersion
                  - sizeBytes
                  - transferBytes
                  - expiresAt
                  - error
                  - createdAt
        '404':
          description: No such database or destination.
        '409':
          description: An export is already running.
        '422':
          description: Invalid format or expiry.
      security:
        - apiKey: []
        - session: []
components:
  securitySchemes:
    apiKey:
      type: http
      scheme: bearer
      bearerFormat: korve_api_key
    session:
      type: apiKey
      in: cookie
      name: korve.session_token

````